All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreAutoRWReadLocker Class Reference

provides a safe and exception-safe way to hold read locks in Qore, only to be used on the stack, cannot be dynamically allocated More...

`#include <QoreRWLock.h>`

Collaboration diagram for QoreAutoRWReadLocker:
[legend]

## Public Member Functions

DLLLOCAL | QoreAutoRWReadLocker (QoreRWLock &n_l)
| creates the object and grabs the read lock
DLLLOCAL | QoreAutoRWReadLocker (QoreRWLock *n_l)
| creates the object and grabs the read lock
DLLLOCAL | ~QoreAutoRWReadLocker ()
| destroys the object and releases the lock

## Protected Attributes

QoreRWLock * | l
| the pointer to the lock that will be managed

## Detailed Description

provides a safe and exception-safe way to hold read locks in Qore, only to be used on the stack, cannot be dynamically allocated

Ensures that read locks are released by locking the read lock when the object is created and releasing it when the object is destroyed.

See Also
  QoreAutoRWWriteLocker

The documentation for this class was generated from the following file:

- include/qore/QoreRWLock.h (6de6cc3b438610bf03b2bec44a3d7c61f90e3165)